<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:context="http://www.springframework.org/schema/context"
       xmlns:aop="http://www.springframework.org/schema/aop"
       xmlns:mvc="http://www.springframework.org/schema/mvc" xmlns:tx="http://www.springframework.org/schema/tx"
       xsi:schemaLocation="
        http://www.springframework.org/schema/beans 
        http://www.springframework.org/schema/beans/spring-beans-4.2.xsd
        http://www.springframework.org/schema/context
        http://www.springframework.org/schema/context/spring-context-4.2.xsd
        http://www.springframework.org/schema/tx
     	http://www.springframework.org/schema/tx/spring-tx-4.2.xsd
     	http://www.springframework.org/schema/aop
     	http://www.springframework.org/schema/aop/spring-aop-4.2.xsd
		http://www.springframework.org/schema/mvc
     	http://www.springframework.org/schema/mvc/spring-mvc-4.2.xsd">


    <bean id="jedisProdProperties" class="com.kmall.common.utils.redis.JedisProdProperties">
        <property name="keyPrefix" value="${redis.prod.keyPrefix}"/>
        <property name="host" value="${redis.prod.host}"/>
        <property name="port" value="${redis.prod.port}"/>
        <property name="pool">
            <bean class="com.kmall.common.utils.redis.JedisProperties$Pool">
                <property name="maxIdle" value="${redis.prod.pool.maxIdle}"/>
                <property name="maxWait" value="${redis.prod.pool.maxWait}"/>
                <property name="maxTotal" value="${redis.prod.pool.maxTotal}"/>
                <property name="testOnBorrow" value="${redis.prod.pool.testOnBorrow}"/>
            </bean>
        </property>
    </bean>

    <bean id="jedisDevProperties" class="com.kmall.common.utils.redis.JedisDevProperties">
        <property name="keyPrefix" value="${redis.dev.keyPrefix}"/>
        <property name="host" value="${redis.dev.host}"/>
        <property name="port" value="${redis.dev.port}"/>
        <property name="pool">
            <bean class="com.kmall.common.utils.redis.JedisProperties$Pool">
                <property name="maxIdle" value="${redis.dev.pool.maxIdle}"/>
                <property name="maxWait" value="${redis.dev.pool.maxWait}"/>
                <property name="maxTotal" value="${redis.dev.pool.maxTotal}"/>
                <property name="testOnBorrow" value="${redis.dev.pool.testOnBorrow}"/>
            </bean>
        </property>
    </bean>


</beans>